curl --request PATCH \
--url https://eu-cloudflare.vg-stuff.com/agents/{agentId}/convos/{convoId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conversation": {
"userEmail": "<string>",
"userName": "<string>",
"userPhone": "<string>",
"userAddress": "<string>",
"userCompany": "<string>",
"userWebsite": "<string>",
"notes": "<string>",
"userProfilePic": "<string>",
"ID": "<string>",
"userID": "<string>",
"campaignId": "<string>",
"userImage": "<string>",
"socialHandle": "<string>",
"isFollowingBusiness": true,
"socialVerified": true,
"userOs": "<string>",
"userBrowser": "<string>",
"origin": "<unknown>",
"whatsappPhoneNumberId": "<string>",
"whatsappBusinessNumber": "<string>",
"whatsappDisplayPhoneNumber": "<string>",
"whatsappBusinessAccountId": "<string>",
"messagesNum": 123,
"interactionsNum": 123,
"ts": 123,
"tags": [
"<string>"
],
"convoTimeSeconds": 123,
"firstMessageTS": 123,
"lastMessageTS": 123,
"userPlatform": "<string>",
"state": "requested_chat",
"chatAssignedTo": "<string>",
"handoffHistory": [
{
"requestedAt": 123,
"acceptedAt": 123,
"completedAt": 123,
"acceptedBy": "<string>",
"organizationId": "<string>",
"requestedTeamKey": "<string>",
"teamIds": [
"<string>"
],
"teamKeys": [
"<string>"
]
}
],
"isTyping": true,
"lastModified": 123,
"sessionsNum": 123,
"lang": "<string>",
"vapi": {
"cost": 123,
"callDuration": 123,
"recordingUrl": "<string>",
"callerPhoneNumber": "<string>",
"calleePhoneNumber": "<string>",
"callStatus": "<string>",
"callError": "<string>"
},
"ratingFrom5": 123,
"totalUserInteractions": 123,
"isBlocked": true,
"nodesInfo": {
"currentNode": "<string>"
},
"capturedVariables": "<unknown>",
"campaignCalls": "<array>",
"sessions": "<array>",
"endReason": "<string>",
"isTest": true,
"metrics": "<array>",
"notifyToUserId": "<string>",
"averageLatency": 123,
"voice": {
"latestSessionId": "<string>",
"listenUrl": "<string>",
"listenUrlUNIX": 123
},
"detailedCost": {
"totalCreditsConsumed": 123,
"speechGenCost": 123,
"transcriberCost": 123,
"twilioCost": 123,
"llmCost": 123
},
"summary": "<string>",
"requestedTeamKey": "<string>",
"delegatedBy": "<string>",
"delegatedAt": 123,
"lastViewed": 123,
"note": "<string>",
"leadScore": 0,
"funnelStepsMatched": [],
"funnelScoreHistory": [],
"funnelNotificationSent": false,
"funnelLastEvaluated": 123,
"funnelExtractedData": {},
"funnelSummary": "<string>",
"title": "<string>",
"lastMessage": "<string>"
}
}
'{
"success": true,
"message": "<string>",
"data": {
"userEmail": "<string>",
"userName": "<string>",
"userPhone": "<string>",
"userAddress": "<string>",
"userCompany": "<string>",
"userWebsite": "<string>",
"notes": "<string>",
"userProfilePic": "<string>",
"ID": "<string>",
"userID": "<string>",
"campaignId": "<string>",
"userImage": "<string>",
"socialHandle": "<string>",
"isFollowingBusiness": true,
"socialVerified": true,
"userOs": "<string>",
"userBrowser": "<string>",
"origin": "<unknown>",
"whatsappPhoneNumberId": "<string>",
"whatsappBusinessNumber": "<string>",
"whatsappDisplayPhoneNumber": "<string>",
"whatsappBusinessAccountId": "<string>",
"messagesNum": 123,
"interactionsNum": 123,
"ts": 123,
"tags": [
"<string>"
],
"convoTimeSeconds": 123,
"firstMessageTS": 123,
"lastMessageTS": 123,
"userPlatform": "<string>",
"state": "requested_chat",
"chatAssignedTo": "<string>",
"handoffHistory": [
{
"requestedAt": 123,
"acceptedAt": 123,
"completedAt": 123,
"acceptedBy": "<string>",
"organizationId": "<string>",
"requestedTeamKey": "<string>",
"teamIds": [
"<string>"
],
"teamKeys": [
"<string>"
]
}
],
"isTyping": true,
"lastModified": 123,
"sessionsNum": 123,
"lang": "<string>",
"vapi": {
"cost": 123,
"callDuration": 123,
"recordingUrl": "<string>",
"callerPhoneNumber": "<string>",
"calleePhoneNumber": "<string>",
"callStatus": "<string>",
"callError": "<string>"
},
"ratingFrom5": 123,
"totalUserInteractions": 123,
"isBlocked": true,
"nodesInfo": {
"currentNode": "<string>"
},
"capturedVariables": "<unknown>",
"campaignCalls": "<array>",
"sessions": "<array>",
"endReason": "<string>",
"isTest": true,
"metrics": "<array>",
"notifyToUserId": "<string>",
"averageLatency": 123,
"voice": {
"latestSessionId": "<string>",
"listenUrl": "<string>",
"listenUrlUNIX": 123
},
"detailedCost": {
"totalCreditsConsumed": 123,
"speechGenCost": 123,
"transcriberCost": 123,
"twilioCost": 123,
"llmCost": 123
},
"summary": "<string>",
"requestedTeamKey": "<string>",
"delegatedBy": "<string>",
"delegatedAt": 123,
"lastViewed": 123,
"note": "<string>",
"leadScore": 0,
"funnelStepsMatched": [],
"funnelScoreHistory": [],
"funnelNotificationSent": false,
"funnelLastEvaluated": 123,
"funnelExtractedData": {},
"funnelSummary": "<string>",
"title": "<string>",
"lastMessage": "<string>"
}
}Updates an existing conversation for the specified agent, using the V3 endpoints.
curl --request PATCH \
--url https://eu-cloudflare.vg-stuff.com/agents/{agentId}/convos/{convoId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conversation": {
"userEmail": "<string>",
"userName": "<string>",
"userPhone": "<string>",
"userAddress": "<string>",
"userCompany": "<string>",
"userWebsite": "<string>",
"notes": "<string>",
"userProfilePic": "<string>",
"ID": "<string>",
"userID": "<string>",
"campaignId": "<string>",
"userImage": "<string>",
"socialHandle": "<string>",
"isFollowingBusiness": true,
"socialVerified": true,
"userOs": "<string>",
"userBrowser": "<string>",
"origin": "<unknown>",
"whatsappPhoneNumberId": "<string>",
"whatsappBusinessNumber": "<string>",
"whatsappDisplayPhoneNumber": "<string>",
"whatsappBusinessAccountId": "<string>",
"messagesNum": 123,
"interactionsNum": 123,
"ts": 123,
"tags": [
"<string>"
],
"convoTimeSeconds": 123,
"firstMessageTS": 123,
"lastMessageTS": 123,
"userPlatform": "<string>",
"state": "requested_chat",
"chatAssignedTo": "<string>",
"handoffHistory": [
{
"requestedAt": 123,
"acceptedAt": 123,
"completedAt": 123,
"acceptedBy": "<string>",
"organizationId": "<string>",
"requestedTeamKey": "<string>",
"teamIds": [
"<string>"
],
"teamKeys": [
"<string>"
]
}
],
"isTyping": true,
"lastModified": 123,
"sessionsNum": 123,
"lang": "<string>",
"vapi": {
"cost": 123,
"callDuration": 123,
"recordingUrl": "<string>",
"callerPhoneNumber": "<string>",
"calleePhoneNumber": "<string>",
"callStatus": "<string>",
"callError": "<string>"
},
"ratingFrom5": 123,
"totalUserInteractions": 123,
"isBlocked": true,
"nodesInfo": {
"currentNode": "<string>"
},
"capturedVariables": "<unknown>",
"campaignCalls": "<array>",
"sessions": "<array>",
"endReason": "<string>",
"isTest": true,
"metrics": "<array>",
"notifyToUserId": "<string>",
"averageLatency": 123,
"voice": {
"latestSessionId": "<string>",
"listenUrl": "<string>",
"listenUrlUNIX": 123
},
"detailedCost": {
"totalCreditsConsumed": 123,
"speechGenCost": 123,
"transcriberCost": 123,
"twilioCost": 123,
"llmCost": 123
},
"summary": "<string>",
"requestedTeamKey": "<string>",
"delegatedBy": "<string>",
"delegatedAt": 123,
"lastViewed": 123,
"note": "<string>",
"leadScore": 0,
"funnelStepsMatched": [],
"funnelScoreHistory": [],
"funnelNotificationSent": false,
"funnelLastEvaluated": 123,
"funnelExtractedData": {},
"funnelSummary": "<string>",
"title": "<string>",
"lastMessage": "<string>"
}
}
'{
"success": true,
"message": "<string>",
"data": {
"userEmail": "<string>",
"userName": "<string>",
"userPhone": "<string>",
"userAddress": "<string>",
"userCompany": "<string>",
"userWebsite": "<string>",
"notes": "<string>",
"userProfilePic": "<string>",
"ID": "<string>",
"userID": "<string>",
"campaignId": "<string>",
"userImage": "<string>",
"socialHandle": "<string>",
"isFollowingBusiness": true,
"socialVerified": true,
"userOs": "<string>",
"userBrowser": "<string>",
"origin": "<unknown>",
"whatsappPhoneNumberId": "<string>",
"whatsappBusinessNumber": "<string>",
"whatsappDisplayPhoneNumber": "<string>",
"whatsappBusinessAccountId": "<string>",
"messagesNum": 123,
"interactionsNum": 123,
"ts": 123,
"tags": [
"<string>"
],
"convoTimeSeconds": 123,
"firstMessageTS": 123,
"lastMessageTS": 123,
"userPlatform": "<string>",
"state": "requested_chat",
"chatAssignedTo": "<string>",
"handoffHistory": [
{
"requestedAt": 123,
"acceptedAt": 123,
"completedAt": 123,
"acceptedBy": "<string>",
"organizationId": "<string>",
"requestedTeamKey": "<string>",
"teamIds": [
"<string>"
],
"teamKeys": [
"<string>"
]
}
],
"isTyping": true,
"lastModified": 123,
"sessionsNum": 123,
"lang": "<string>",
"vapi": {
"cost": 123,
"callDuration": 123,
"recordingUrl": "<string>",
"callerPhoneNumber": "<string>",
"calleePhoneNumber": "<string>",
"callStatus": "<string>",
"callError": "<string>"
},
"ratingFrom5": 123,
"totalUserInteractions": 123,
"isBlocked": true,
"nodesInfo": {
"currentNode": "<string>"
},
"capturedVariables": "<unknown>",
"campaignCalls": "<array>",
"sessions": "<array>",
"endReason": "<string>",
"isTest": true,
"metrics": "<array>",
"notifyToUserId": "<string>",
"averageLatency": 123,
"voice": {
"latestSessionId": "<string>",
"listenUrl": "<string>",
"listenUrlUNIX": 123
},
"detailedCost": {
"totalCreditsConsumed": 123,
"speechGenCost": 123,
"transcriberCost": 123,
"twilioCost": 123,
"llmCost": 123
},
"summary": "<string>",
"requestedTeamKey": "<string>",
"delegatedBy": "<string>",
"delegatedAt": 123,
"lastViewed": 123,
"note": "<string>",
"leadScore": 0,
"funnelStepsMatched": [],
"funnelScoreHistory": [],
"funnelNotificationSent": false,
"funnelLastEvaluated": 123,
"funnelExtractedData": {},
"funnelSummary": "<string>",
"title": "<string>",
"lastMessage": "<string>"
}
}{
"conversation": {
"tags": ["support", "resolved"],
"state": "completed",
"title": "Product Inquiry - Resolved"
}
}
lastModified is automatically updated when any field changes.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes